Skip to main content
Resource Center/Hardware/Host Operations

QueryHostNetworkBonding

QueryHostNetworkBonding

GET/zstack/v1/hosts/bondings
GET/zstack/v1/hosts/bondings/{uuid}

Operation ID

QueryHostNetworkBonding

Since

3.9.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • hostUuid
      StringRequired

      The host UUID.

    • bondingName
      StringRequired

      The bond name.

    • mode
      StringRequired

      The bond mode.

    • xmitHashPolicy
      StringRequired

      The hash policy.

    • miiStatus
      StringRequired

      The MII status.

    • mac
      StringRequired

      The MAC address.

    • ipAddresses
      ListRequired

      The IP address.

    • miimon
      LongRequired

      The MII monitoring interval.

    • allSlavesActive
      BooleanRequired

      The all slaves active.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • slaves
      ListRequired

      See slaves.

      • uuid
        StringRequired

        The resource UUID.

      • hostUuid
        StringRequired

        The host UUID.

      • bondingUuid
        StringRequired

        The bond UUID.

      • interfaceName
        StringRequired

        The interface name.

      • interfaceType
        StringRequired

        The interface type. Options: nomaster, bridgeSlave, and bondSlave.

      • speed
        LongRequired

        The interface speed.

      • slaveActive
        BooleanRequired

        The bond link status.

      • carrierActive
        BooleanRequired

        The physical link status.

      • ipAddresses
        ListRequired

        The IP address.

      • mac
        StringRequired

        The MAC address.

      • pciDeviceAddress
        StringRequired

        The PCI address of the interface.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.